package javabook.ch09;
import java.sql.*;
import java.io.*;

class Person {
    private String driver = "sun.jdbc.odbc.JdbcOdbcDriver";
    private String url = "jdbc:odbc:Person";
    private Connection con = null;
    private Statement stmt = null;
    private ResultSet rs = null;

    Person() {
        initConnectDB();
    }

    void insert() {
        String sql = "Insert into member (num, name, addr, phone) values ";
        String num, name, addr, phone;

        try {
            BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
            System.out.println("Member ̺  Էϱ .....");
            System.out.print("й Է:");
            num = br.readLine();
            System.out.print("̸ Է:");
            name = br.readLine();
            System.out.print("ּ Է:");
            addr = br.readLine();
            System.out.print("ȭȣ Է:");
            phone = br.readLine();

            sql += "('" + num + "','" + name + "','" + addr +"','" + phone + "')";
            System.out.println( sql );
            stmt.executeUpdate(sql);
            System.out.println("Insert !");
        }
        catch(Exception e) {
            System.out.println("Insert !");
        }
    }

    void select() {
        String sql = "Select * from member";
        try{
            rs = stmt.executeQuery(sql);
            System.out.println("id\t\tnum\t\tname\t\taddr\t\tphone");
            while(rs.next()) {
                System.out.print(rs.getLong("id")+"\t\t");
                System.out.print(rs.getString("num")+"\t\t");
                System.out.print(rs.getString("name")+"\t\t");
                System.out.print(rs.getString("addr")+"\t\t");
                System.out.print(rs.getString("phone")+"\n");
            }
        }
        catch(Exception e) {
            System.out.println("Select error!");
        }
    }

    void initConnectDB() {
        try{
            Class.forName(driver);
            con = DriverManager.getConnection(url, "master","java" );
            stmt= con.createStatement();
            System.out.println("ͺ̽  !");
        }
        catch(Exception e) {
            System.out.println("ͺ̽  !");
        }
    }

    void disconnectDB() {
        try {
            if(stmt != null) stmt.close();
            if(con != null) con.close();
        }
        catch(Exception e) {
            System.out.println(e.getMessage());
        }
    }

}

public class Extra9_1 {

    public static void main(String[] args) throws IOException {
        Person p = new Person();
        p.select();
        p.insert();
        p.select();
        p.disconnectDB();
    }

}