package javabook.ch12;
import java.util.ArrayList;
import java.util.Iterator;

public class IteratorExam {

    public static void main(String[] args) {
        ArrayList arr = new ArrayList(); // ArrayList ü νϽ 
        for(int i = 0; i<3000000; i++) {
            arr.add(i, new Integer(i));
        }

        Integer integer = null;
        long s_Time   = System.currentTimeMillis();
        long s_Memory = Runtime.getRuntime().freeMemory();
        System.out.println(" ð   : " + s_Time);   //  ð 
        System.out.println(" ޸ : " + s_Memory); //  ޸𸮸 
        // 1. get(i)  
        // for(int i=0; i<3000000;i++) {
        //   integer = (Integer)arr.get(i);
        // }
        // 2. Iterator  
        Iterator it = arr.iterator();    // Iterator ̽ ̿ ArrayList ü ̽
        while(it.hasNext()) {            // next ޼ҵ带 ̿   ִ Ȯ
           integer = (Integer)it.next(); //   
        }

        long e_Time   = System.currentTimeMillis();
        long e_Memory = Runtime.getRuntime().freeMemory();
        System.out.println(" ð   : " + e_Time);
        System.out.println(" ޸ : " + e_Memory);
        System.out.println("ð      : " + (e_Time   - s_Time)  ); // ð  ޸  
        System.out.println("޸    : " + (e_Memory - s_Memory));
    }

}